CREATE TABLE IF NOT EXISTS default.snowplow_queue
(
    app_id                   String,
    platform                 String,
    etl_tstamp               Nullable(DateTime64(3, 'GMT')),
    collector_tstamp         DateTime64(3, 'GMT'),
    dvce_created_tstamp      Nullable(DateTime64(3, 'GMT')),
    event                    String,
    event_id                 String,
    txn_id                   Nullable(String),
    name_tracker             Nullable(String),
    v_tracker                String,
    v_collector              String,
    v_etl                    String,
    user_id                  Nullable(String),
    user_ipaddress           Nullable(String),
    user_fingerprint         Nullable(String),
    domain_userid            Nullable(String),
    domain_sessionidx        Nullable(String),
    network_userid           Nullable(String),
    geo_country              Nullable(String),
    geo_region               Nullable(String),
    geo_city                 Nullable(String),
    geo_zipcode              Nullable(String),
    geo_latitude             Nullable(String),
    geo_longitude            Nullable(String),
    geo_region_name          Nullable(String),
    ip_isp                   Nullable(String),
    ip_organization          Nullable(String),
    ip_domain                Nullable(String),
    ip_netspeed              Nullable(String),
    page_url                 Nullable(String),
    page_title               Nullable(String),
    page_referrer            Nullable(String),
    page_urlscheme           Nullable(String),
    page_urlhost             Nullable(String),
    page_urlport             Nullable(String),
    page_urlpath             Nullable(String),
    page_urlquery            Nullable(String),
    page_urlfragment         Nullable(String),
    refr_urlscheme           Nullable(String),
    refr_urlhost             Nullable(String),
    refr_urlport             Nullable(String),
    refr_urlpath             Nullable(String),
    refr_urlquery            Nullable(String),
    refr_urlfragment         Nullable(String),
    refr_medium              Nullable(String),
    refr_source              Nullable(String),
    refr_term                Nullable(String),
    mkt_medium               Nullable(String),
    mkt_source               Nullable(String),
    mkt_term                 Nullable(String),
    mkt_content              Nullable(String),
    mkt_campaign             Nullable(String),
    contexts                 String,
    se_category              Nullable(String),
    se_action                Nullable(String),
    se_label                 Nullable(String),
    se_property              Nullable(String),
    se_value                 Nullable(Decimal32(2)),
    unstruct_event           String,
    tr_orderid               Nullable(String),
    tr_affiliation           Nullable(String),
    tr_total                 Nullable(Decimal32(2)),
    tr_tax                   Nullable(Decimal32(2)),
    tr_shipping              Nullable(Decimal32(2)),
    tr_city                  Nullable(String),
    tr_state                 Nullable(String),
    tr_country               Nullable(String),
    ti_orderid               Nullable(String),
    ti_sku                   Nullable(String),
    ti_name                  Nullable(String),
    ti_category              Nullable(String),
    ti_price                 Nullable(Decimal32(2)),
    ti_quantity              Nullable(Decimal32(2)),
    pp_xoffset_min           Nullable(String),
    pp_xoffset_max           Nullable(String),
    pp_yoffset_min           Nullable(String),
    pp_yoffset_max           Nullable(String),
    useragent                Nullable(String),
    br_name                  Nullable(String),
    br_family                Nullable(String),
    br_version               Nullable(String),
    br_type                  Nullable(String),
    br_renderengine          Nullable(String),
    br_lang                  Nullable(String),
    br_features_pdf          Nullable(String),
    br_features_flash        Nullable(String),
    br_features_java         Nullable(String),
    br_features_director     Nullable(String),
    br_features_quicktime    Nullable(String),
    br_features_realplayer   Nullable(String),
    br_features_windowsmedia Nullable(String),
    br_features_gears        Nullable(String),
    br_features_silverlight  Nullable(String),
    br_cookies               Nullable(String),
    br_colordepth            Nullable(Int16),
    br_viewwidth             Nullable(Int16),
    br_viewheight            Nullable(Int16),
    os_name                  Nullable(String),
    os_family                Nullable(String),
    os_manufacturer          Nullable(String),
    os_timezone              Nullable(String),
    dvce_type                Nullable(String),
    dvce_ismobile            Nullable(String),
    dvce_screenwidth         Nullable(Int16),
    dvce_screenheight        Nullable(Int16),
    doc_charset              Nullable(String),
    doc_width                Nullable(String),
    doc_height               Nullable(String),
    tr_currency              Nullable(String),
    tr_total_base            Nullable(Decimal32(2)),
    tr_tax_base              Nullable(Decimal32(2)),
    tr_shipping_base         Nullable(Decimal32(2)),
    ti_currency              Nullable(String),
    ti_price_base            Nullable(Decimal32(2)),
    base_currency            Nullable(String),
    geo_timezone             Nullable(String),
    mkt_clickid              Nullable(String),
    mkt_network              Nullable(String),
    etl_tags                 Nullable(String),
    dvce_sent_tstamp         Nullable(DateTime64(3, 'GMT')),
    refr_domain_userid       Nullable(String),
    refr_device_tstamp       Nullable(String),
    derived_contexts         Nullable(String),
    domain_sessionid         Nullable(String),
    derived_tstamp           DateTime64(3, 'GMT'),
    event_vendor             Nullable(String),
    event_name               Nullable(String),
    event_format             Nullable(String),
    event_version            Nullable(String),
    event_fingerprint        Nullable(String),
    true_tstamp              Nullable(String),
) ENGINE = Null
